EDIT - feature request #7533

add typeStatus filter to registration list
07/05/2018 03:26 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.2

Severity: critical

Description

The filter options in the registration list view should offer to filter by TypeDesignation.status:
The filter will offer all available Specimen- and NameTypedesignation Status plus the options:
® any

* none - option "- NONE -"
¢ off - none of the options in the select is chosen

Related issues:
Related to EDIT - feature request #7610: Type search in PhycoBank Portal Duplicate

Associated revisions

Revision 94263696 - 07/05/2018 05:21 PM - Andreas Kohlbecker
ref #7533 RegistrationService with typeStatus filter

Revision 56432bdd - 07/05/2018 05:22 PM - Andreas Kohlbecker

fix #7533 typeStatus filter for registration list view

Revision dcd8adc1 - 07/05/2018 05:55 PM - Andreas Kohlbecker

ref #7533 typeStatus filter for registration list view - adding null option to filter

History

#1 - 07/05/2018 03:27 PM - Andreas Kohlbecker

- Tracker changed from bug to feature request

#2 - 07/05/2018 03:31 PM - Andreas Kohlbecker
- Subject changed from add type filter to registration list to add typeStatus filter to registration list

- Description updated

#3 - 07/05/2018 05:22 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-vaadin|56432bdd018d92bebb99ecfdaeca8721d7927416.

#4 - 07/05/2018 05:31 PM - Andreas Kohlbecker

- Description updated

#5 - 07/05/2018 05:57 PM - Andreas Kohlbecker

- Description updated

there are a couple of old data sets with typeStatus = null, therefore | am adding the null as filter option

#6 - 07/05/2018 05:59 PM - Andreas Kohlbecker
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdm-vaadin/revisions/56432bdd018d92bebb99ecfdaeca8721d7927416

- Description updated

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

Ready for review

#7 - 08/03/2018 01:45 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

new ticket with extended requirements: #7610

#8 - 08/03/2018 01:45 PM - Andreas Kohlbecker
- Related to feature request #7610: Type search in PhycoBank Portal added

#9 - 08/03/2018 01:45 PM - Andreas Kohlbecker
- % Done changed from 50 to 100
